For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
            • GETList Abandoned Cart Email Templates
            • POSTCreate Abandoned Cart Email Template
            • GETGet Email Template
            • PUTUpdate Email Template
            • DELDelete Email Template
            • GETGet Default Email Template
              • GETGet Email Template Settings
              • PUTUpdate Email Template Settings
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentAbandoned Cart EmailsTemplate Settings

Update Email Template Settings

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/marketing/abandoned-cart-emails/settings
PUT
/stores/:store_hash/v3/marketing/abandoned-cart-emails/settings
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/marketing/abandoned-cart-emails/settings \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "use_global": false
>}'
200Updated
1{
2 "use_global": false
3}
Update Abandoned Cart Email template settings.
Was this page helpful?
Previous

Get Email Template Settings

Next

Custom Template Associations

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsread-onlystore_v2_information_read_only
Information & Settingsmodifystore_v2_information

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

channel_idintegerOptional

Channel ID to use for channel-level data.

Request

This endpoint expects an object.
use_globalbooleanRequired
Boolean value that specifies the inheritance state.

Response

OK
use_globalboolean
Boolean value that specifies the inheritance state.